Debian Bug report logs - #503148
histogram(x, bin): x-axis range should be based on bin.min() and bin.max() when bin is a sequence

version graph

Package: python-matplotlib; Maintainer for python-matplotlib is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-matplotlib is src:matplotlib.

Reported by: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>

Date: Wed, 22 Oct 2008 21:42:04 UTC

Severity: normal

Tags: fixed-upstream

Found in version matplotlib/0.98.3-4

Fixed in versions 0.98.5, matplotlib/0.98.5.2-1

Done: Sandro Tosi <morph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#503148; Package python-matplotlib. (Wed, 22 Oct 2008 21:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 22 Oct 2008 21:42:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: histogram(x, bin): x-axis range should be based on bin.min() and bin.max() when bin is a sequence
Date: Wed, 22 Oct 2008 17:41:53 -0400
Package: python-matplotlib
Version: 0.98.3-4
Severity: normal

the following python code creates a histogram with an x-axis range of
0.1 min to 0.3 max (based on the mins and maxes of the x rather than bin).
the bins should be used to size the axis since the user specified that
he wanted to see those specific bins (even though they are empty).  note 
that the 'range=' option would be a potential solution, but it is ignored 
when bin is a sequence (presumably because the range would be chosen
based on bin's limits, but this isn't so).

  from pylab import *
  x = [0.18,0.22,0.19]
  bin = [0,0.1,0.2,0.3,0.4,0.5]
  hist(x,bin)
  show()

i believe that the x-axis ranges should instead be based on the mins and
maxes of bin when it is a sequence.

please forward this report upstream or let me know if you believe that it
belongs there.

thank you for your consideration

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (400, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-matplotlib depends on:
ii  libatk1.0-0            1.22.0-1          The ATK accessibility toolkit
ii  libc6                  2.7-14            GNU C Library: Shared libraries
ii  libcairo2              1.6.4-6           The Cairo 2D vector graphics libra
ii  libfreetype6           2.3.7-2           FreeType 2 font engine, shared lib
ii  libgcc1                1:4.3.2-1         GCC support library
ii  libglib2.0-0           2.16.6-1          The GLib library of C routines
ii  libgtk2.0-0            2.12.11-3         The GTK+ graphical user interface 
ii  libpango1.0-0          1.20.5-2          Layout and rendering of internatio
ii  libpng12-0             1.2.27-2          PNG library - runtime
ii  libstdc++6             4.3.2-1           The GNU Standard C++ Library v3
ii  python                 2.5.2-2           An interactive high-level object-o
ii  python-cairo           1.4.12-1.1        Python bindings for the Cairo vect
ii  python-central         0.6.8             register and build utility for Pyt
ii  python-dateutil        1.4-1             powerful extensions to the standar
ii  python-excelerator     0.6.3a-3.1        module for reading/writing Excel s
ii  python-glade2          2.12.1-6          GTK+ bindings: Glade support
ii  python-gobject         2.14.2-1          Python bindings for the GObject li
ii  python-gtk2            2.12.1-6          Python bindings for the GTK+ widge
ii  python-matplotlib-data 0.98.3-4          Python based plotting system (data
ii  python-numpy           1:1.1.0-3         Numerical Python adds a fast array
ii  python-pyparsing       1.5.0-1           Python parsing module
ii  python-qt3             3.17.4-1          Qt3 bindings for Python
ii  python-qt4             4.4.2-4           Python bindings for Qt4
ii  python-tk              2.5.2-1           Tkinter - Writing Tk applications 
ii  python-tz              2008c-2           Python version of the Olson timezo
ii  tcl8.4                 8.4.19-2          Tcl (the Tool Command Language) v8
ii  tk8.4                  8.4.19-2          Tk toolkit for Tcl and X11, v8.4 -
ii  zlib1g                 1:1.2.3.3.dfsg-12 compression library - runtime

Versions of packages python-matplotlib recommends:
ii  dvipng                        1.11-1     convert DVI files to PNG graphics

Versions of packages python-matplotlib suggests:
pn  ipython                       <none>     (no description available)
ii  python-configobj              4.5.2-1    a simple but powerful config file 
ii  python-enthought-traits       2.0.5-1    Manifest typing and reactive progr
pn  python-matplotlib-doc         <none>     (no description available)
pn  python-scipy                  <none>     (no description available)
pn  texlive-extra-utils           <none>     (no description available)
pn  texlive-latex-extra           <none>     (no description available)

-- no debconf information




Tags added: pending Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Sat, 13 Dec 2008 08:21:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#503148; Package python-matplotlib. (Fri, 19 Dec 2008 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ondrej Certik" <ondrej@certik.cz>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 19 Dec 2008 17:27:02 GMT) Full text and rfc822 format available.

Message #12 received at 503148@bugs.debian.org (full text, mbox):

From: "Ondrej Certik" <ondrej@certik.cz>
To: 503148@bugs.debian.org
Cc: "Michael S. Gilbert" <michael.s.gilbert@gmail.com>
Subject: Re: histogram
Date: Fri, 19 Dec 2008 18:24:38 +0100
Reported upstream:

http://sourceforge.net/mailarchive/forum.php?thread_name=85b5c3130812190918n33ab982dv2c06c9e98d9cd758%40mail.gmail.com&forum_name=matplotlib-users


Ondrej




Tags removed: pending Request was from "Michael Gilbert" <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sat, 20 Dec 2008 20:06:03 GMT) Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "Michael Gilbert" <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Tue, 23 Dec 2008 21:57:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from "Michael Gilbert" <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Tue, 23 Dec 2008 21:57:08 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 0.98.5. Request was from "Michael Gilbert" <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Tue, 23 Dec 2008 21:57:08 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Thu, 15 Jan 2009 09:39:10 GMT) Full text and rfc822 format available.

Notification sent to "Michael S. Gilbert" <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Thu, 15 Jan 2009 09:39:10 GMT) Full text and rfc822 format available.

Message #25 received at 503148-close@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: 503148-close@bugs.debian.org
Subject: Bug#503148: fixed in matplotlib 0.98.5.2-1
Date: Thu, 15 Jan 2009 09:17:28 +0000
Source: matplotlib
Source-Version: 0.98.5.2-1

We believe that the bug you reported is fixed in the latest version of
matplotlib, which is due to be installed in the Debian FTP archive:

matplotlib_0.98.5.2-1.diff.gz
  to pool/main/m/matplotlib/matplotlib_0.98.5.2-1.diff.gz
matplotlib_0.98.5.2-1.dsc
  to pool/main/m/matplotlib/matplotlib_0.98.5.2-1.dsc
matplotlib_0.98.5.2.orig.tar.gz
  to pool/main/m/matplotlib/matplotlib_0.98.5.2.orig.tar.gz
python-matplotlib-data_0.98.5.2-1_all.deb
  to pool/main/m/matplotlib/python-matplotlib-data_0.98.5.2-1_all.deb
python-matplotlib-dbg_0.98.5.2-1_amd64.deb
  to pool/main/m/matplotlib/python-matplotlib-dbg_0.98.5.2-1_amd64.deb
python-matplotlib-doc_0.98.5.2-1_all.deb
  to pool/main/m/matplotlib/python-matplotlib-doc_0.98.5.2-1_all.deb
python-matplotlib_0.98.5.2-1_amd64.deb
  to pool/main/m/matplotlib/python-matplotlib_0.98.5.2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 503148@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sandro Tosi <morph@debian.org> (supplier of updated matplotlib package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 14 Jan 2009 22:09:58 +0100
Source: matplotlib
Binary: python-matplotlib python-matplotlib-data python-matplotlib-doc python-matplotlib-dbg
Architecture: source all amd64
Version: 0.98.5.2-1
Distribution: experimental
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sandro Tosi <morph@debian.org>
Description: 
 python-matplotlib - Python based plotting system in a style similar to Matlab
 python-matplotlib-data - Python based plotting system (data package)
 python-matplotlib-dbg - Python based plotting system (debug extension)
 python-matplotlib-doc - Python based plotting system (documentation package)
Closes: 490992 503148 505618
Changes: 
 matplotlib (0.98.5.2-1) experimental; urgency=low
 .
   [ Benjamin Drung ]
   * debian/control
     - Added python-pkg-resources to build dependency for version detection of
       python-enthought-traits
     - merged python-tk into GUI Python packages alternative dependency list
     - add myself to uploaders
   * Move content of debian/patches/setup.cfg.patch to
     debian/setup.cfg to set the default backend to TkAgg
 .
   [ Sandro Tosi ]
   * New upstream release
     - Fixed histogram autoscaling bug when bins or range are given
       explicitly; Closes: #503148
     - fix a FTBFS if built with GCC 4.4; thanks to Martin Michlmayr for the
       report and the patch; Closes: #505618
   * debian/control
     - switch Vcs-Browser field to viewsvn
     - removed python from Depends since introduced by python:Depends
     - depending on python-all-dbg for -dbg package (to install all dbg
       interpreters)
     - moved python-tk to the first position of multiple GUI bindings Depends
       line
     - moved 'dvipng' from Recommends to Suggests (to avoid texlive to be
       automatically taken in); Closes: #490992
     - bump build-depends in python-sphinx to at least 0.5.1 (upstream doc build
       system requires it)
   * debian/NEWS
     - added to notify users about default backend (TkAgg)
     - added note about 'dvipng' not installed automatically anymore
   * debian/README.debian
     - added information about changing backend
   * debian/rules
     - merging all "rm" calls into "dh_clean" call
     - removed 'API_CHANGES' installation, since removed upstream
     - doc building with '--small' option, to reduce doc size (removing hi-res
       and pdf gallery images)
   * debian/{control,rules,patches/*,README.source}
     - moved from quilt to dpatch
   * debian/patches/{matplotlibrc.template-typo.patch,
              doc_graphviz_errors_fix.patch,bts-498229_axes3d_typo.patch}
     - removed since merged upstream
   * debian/docs
     - removed since not needed (the same files were listed in debian/rules)
Checksums-Sha1: 
 816de523b48c8751323eed1c487198577ba5310b 2146 matplotlib_0.98.5.2-1.dsc
 7e8483661d8b9004d0c23a6aba2806b4ecb885c7 11587992 matplotlib_0.98.5.2.orig.tar.gz
 364cb230f705a8f5ab5a8f30cd704a57e7d7f17c 19071 matplotlib_0.98.5.2-1.diff.gz
 4bebb7ba39973ba610985a8fd2a20063370ec06b 1130142 python-matplotlib-data_0.98.5.2-1_all.deb
 75def29026c06ea4e22a8c94ca307efb3233f977 38284214 python-matplotlib-doc_0.98.5.2-1_all.deb
 da6c27946ffdf6dfd07b97ba81ac6910fa3dfb85 2346806 python-matplotlib_0.98.5.2-1_amd64.deb
 45105955964d3adac3ad61eff1242a8ac273681a 11046438 python-matplotlib-dbg_0.98.5.2-1_amd64.deb
Checksums-Sha256: 
 48e4616e7642faf1725b4d39fc4421b72f53ed7b9092059243d39218da474bf6 2146 matplotlib_0.98.5.2-1.dsc
 8acebd8c39412a4b87d62cabebb71f8f4f4a59bef78019a773f4f0b9d7f5b272 11587992 matplotlib_0.98.5.2.orig.tar.gz
 dc9aa867b385baa16c56c6fe9fa9329bdc134db495bf34dc06f4e34eb9910039 19071 matplotlib_0.98.5.2-1.diff.gz
 bb25f68f4bd679621f3f4473ab2d15f0ed89aa860ea919ff80e7540a8d6a3f82 1130142 python-matplotlib-data_0.98.5.2-1_all.deb
 87d4cae2a25799fb9303f3a1d9b7aa1facac93ae56dc39846074ea85c4a31db2 38284214 python-matplotlib-doc_0.98.5.2-1_all.deb
 78f25f0a90a61417e7a86397caa57a6053100c575cd459973f7d15fd4a2673d4 2346806 python-matplotlib_0.98.5.2-1_amd64.deb
 e75e5c35e19d31d25cf919c773281e412aa06aee1062779e8ccffffb8062f37a 11046438 python-matplotlib-dbg_0.98.5.2-1_amd64.deb
Files: 
 53b0debbd49baa1b8be39ab9499927c7 2146 python optional matplotlib_0.98.5.2-1.dsc
 6e77ebba8107abff3164df1cca567b82 11587992 python optional matplotlib_0.98.5.2.orig.tar.gz
 0cfa19f38a52558045b98c07a8fcea82 19071 python optional matplotlib_0.98.5.2-1.diff.gz
 a5c8e61b955b3519f29b4cfefad4684b 1130142 python optional python-matplotlib-data_0.98.5.2-1_all.deb
 a21a5686a013ec06418afa11ad4f609f 38284214 doc optional python-matplotlib-doc_0.98.5.2-1_all.deb
 59933a5d62d3a4d58399c1fba041c2f0 2346806 python optional python-matplotlib_0.98.5.2-1_amd64.deb
 0f50986478a78cb41ec1b9cd08f09de4 11046438 python extra python-matplotlib-dbg_0.98.5.2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkludocACgkQAukwV0RN2VAboQCeICPjtcrUAgoH5ypAo0GvSq8n
OxIAn3GqGDcf0xydn9o3Qk6mEt5uUSr8
=YZo5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Aug 2009 07:43:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:49:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.